Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 224845 - Improve launchers compiling
Improve launchers compiling
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Launchers&CLI
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Libor Fischmeistr
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-14 12:47 UTC by Libor Fischmeistr
Modified: 2013-02-07 03:07 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Libor Fischmeistr 2013-01-14 12:47:42 UTC
It would be good to improve compiling of launchers, especially differences between 32 and 64 bit. (version.h, netbeans.exe.manifest)
Comment 1 Libor Fischmeistr 2013-02-05 07:59:20 UTC
#include <shlobj.h> move from nblauncher.h to nblauncher.cpp

Review other imports.
Comment 2 Libor Fischmeistr 2013-02-06 10:47:36 UTC
Done in http://hg.netbeans.org/core-main/rev/a41d5f257576
Comment 3 Quality Engineering 2013-02-07 03:07:31 UTC
Integrated into 'main-golden', will be available in build *201302070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a41d5f257576
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #224845: Improve launchers compiling


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo